# Interface BaseComponentOptions

interface BaseComponentOptions {
className?: string;
el?: Element;
name?: string;
}

#### Hierarchy (view full)

- ComponentOptions
  - BaseComponentOptions

#####
Index

### Properties

className?
el?
name?

## Properties

### `Optional` className

className?: string

Inherited from ComponentOptions.className

### `Optional` el

el?: Element

### `Optional` name

name?: string

Inherited from ComponentOptions.name